www.cendio.com

Bug 4829

Summary: tlwebaccess does not check if an account is expired
Product: ThinLinc Reporter: Samuel Mannehed <samuel@cendio.se>
Component: Web AccessAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: aaron@cendio.se
Version: trunkKeywords: aaron_tester, relnotes
Target Milestone: 4.1.1   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on:    
Bug Blocks: 4832    

Description From cendio 2013-10-07 18:09:40
I checked status of my demo account and got this:
"The e-mail address samuel@cendio.com is associated with the user cendsamu and
the account is currently unavailable because it has expired.

The account expired 2013-07-05 UTC."
But I can still log in with the HTML5 client at
https://eudemo.thinlinc.com:300. Connecting with the native client or with ssh
does not work.
------- Comment #1 From cendio 2013-10-08 15:32:33 -------
Similar to bug 4460.
------- Comment #2 From cendio 2013-10-09 15:10:57 -------
Fixed in 28013. For things to test, see bug 4832.
------- Comment #3 From cendio 2013-10-23 13:05:29 -------
Setting an account to be expired does indeed deny access through tlwebaccess.
Closing.